# pandas.core.window.rolling.Window.sum

Window.sum(*args, **kwargs)

  Calculate the rolling weighted window sum.

  Parameters
    **kwargs

      Keyword arguments to configure the `SciPy` weighted window type.

  Returns
    Series or DataFrame

      Return type is the same as the original object.

  See also

  `pandas.Series.rolling`

    Calling rolling with Series data.

  `pandas.DataFrame.rolling`

    Calling rolling with DataFrames.

  `pandas.Series.sum`

    Aggregating sum for Series.

  `pandas.DataFrame.sum`

    Aggregating sum for DataFrame.